Loading...
Searching...
No Matches
RDValue-taggedunion.h File Reference
`#include <RDGeneral/export.h>`
`#include <cassert>`
`#include "Invariant.h"`
`#include <iostream>`
`#include <iomanip>`
`#include <sstream>`
`#include <vector>`
`#include <cstdint>`
`#include <RDGeneral/BoostStartInclude.h>`
`#include <any>`
`#include <boost/utility.hpp>`
`#include <boost/lexical_cast.hpp>`
`#include <boost/numeric/conversion/cast.hpp>`
`#include <boost/type_traits/is_floating_point.hpp>`
`#include <RDGeneral/BoostEndInclude.h>`
`#include "LocaleSwitcher.h"`

Go to the source code of this file.

## Classes

union | RDKit::RDTypeTag::detail::Value
struct | RDKit::RDValue

## Namespaces

namespace | RDKit
| Std stuff.
namespace | RDKit::RDTypeTag
namespace | RDKit::RDTypeTag::detail

## Macros

#define | RDVALUE_HASBOOL

## Functions

template<class T>
short | RDKit::RDTypeTag::GetTag ()
template<>
short | RDKit::RDTypeTag::GetTag< double > ()
template<>
short | RDKit::RDTypeTag::GetTag< float > ()
template<>
short | RDKit::RDTypeTag::GetTag< int > ()
template<>
short | RDKit::RDTypeTag::GetTag< unsigned int > ()
template<>
short | RDKit::RDTypeTag::GetTag< bool > ()
template<>
short | RDKit::RDTypeTag::GetTag< std::string > ()
template<>
short | RDKit::RDTypeTag::GetTag< std::vector< double > > ()
template<>
short | RDKit::RDTypeTag::GetTag< std::vector< float > > ()
template<>
short | RDKit::RDTypeTag::GetTag< std::vector< int > > ()
template<>
short | RDKit::RDTypeTag::GetTag< std::vector< unsigned int > > ()
template<>
short | RDKit::RDTypeTag::GetTag< std::vector< std::string > > ()
template<>
short | RDKit::RDTypeTag::GetTag< std::any > ()
template<class T>
T * | RDKit::RDTypeTag::detail::valuePtrCast (Value value)
template<>
std::any * | RDKit::RDTypeTag::detail::valuePtrCast< std::any > (Value value)
template<>
std::string * | RDKit::RDTypeTag::detail::valuePtrCast< std::string > (Value value)
template<>
std::vector< double > * | RDKit::RDTypeTag::detail::valuePtrCast< std::vector< double > > (Value value)
template<>
std::vector< float > * | RDKit::RDTypeTag::detail::valuePtrCast< std::vector< float > > (Value value)
template<>
std::vector< int > * | RDKit::RDTypeTag::detail::valuePtrCast< std::vector< int > > (Value value)
template<>
std::vector< unsigned int > * | RDKit::RDTypeTag::detail::valuePtrCast< std::vector< unsigned int > > (Value value)
template<>
std::vector< std::string > * | RDKit::RDTypeTag::detail::valuePtrCast< std::vector< std::string > > (Value value)
void | RDKit::copy_rdvalue (RDValue &dest, const RDValue &src)
template<class T>
bool | RDKit::rdvalue_is (const RDValue_cast_t)
template<>
bool | RDKit::rdvalue_is< std::any > (RDValue_cast_t v)
template<class T>
T | RDKit::rdvalue_cast (RDValue_cast_t v)
template<>
double | RDKit::rdvalue_cast< double > (RDValue_cast_t v)
template<>
float | RDKit::rdvalue_cast< float > (RDValue_cast_t v)
template<>
int | RDKit::rdvalue_cast< int > (RDValue_cast_t v)
template<>
std::int8_t | RDKit::rdvalue_cast< std::int8_t > (RDValue_cast_t v)
template<>
std::int16_t | RDKit::rdvalue_cast< std::int16_t > (RDValue_cast_t v)
template<>
std::int64_t | RDKit::rdvalue_cast< std::int64_t > (RDValue_cast_t v)
template<>
unsigned int | RDKit::rdvalue_cast< unsigned int > (RDValue_cast_t v)
template<>
std::uint8_t | RDKit::rdvalue_cast< std::uint8_t > (RDValue_cast_t v)
template<>
std::uint16_t | RDKit::rdvalue_cast< std::uint16_t > (RDValue_cast_t v)
template<>
std::uint64_t | RDKit::rdvalue_cast< std::uint64_t > (RDValue_cast_t v)
template<>
bool | RDKit::rdvalue_cast< bool > (RDValue_cast_t v)

## Variables

const short | RDKit::RDTypeTag::EmptyTag = 0

## Macro Definition Documentation

## RDVALUE_HASBOOL

#define RDVALUE_HASBOOL

Definition at line 52 of file RDValue-taggedunion.h.